Get Distributed Vxlan Connections
Get all Distributed VXLAN Connections.
Get all Distributed VXLAN Connections. Use the 'availableForRegionalNetworkingSettingId'
filter to get connections that can be added to a specific Regional Networking Setting:
filter=availableForRegionalNetworkingSettingId==URN.
Request
URI
GET
https://{api_host}/cloudapi/v1/distributedVxlanConnections
COPY
Query Parameters
string
filter
Optional
Filter for a query. FIQL format.
string
sortAsc
Optional
Field to use for ascending sort
string
sortDesc
Optional
Field to use for descending sort
integer
page
Required
Constraints:
minimum: 1
default: 1
Page to fetch, zero offset.
integer
pageSize
Required
Constraints:
minimum: 0
maximum: 128
default: 25
Results per page to fetch.
Responses
200
OK
Returns
DistributedVxlanConnections
of type(s)
application/json;version=9.1.1
This response body class contains all of the following:
Page ,
InlineDistributedVxlanConnections1
{
"resultTotal": 0,
"pageCount": 0,
"page": 0,
"pageSize": 0,
"associations": [
{
"entityId": "string",
"associationId": "string"
}
],
"values": [
{
"status": "string",
"id": "string",
"name": "string",
"description": "string",
"regionRef": {
"name": "string",
"id": "string"
},
"routeControllerId": "string",
"connectivityType": "string",
"l3Vni": 0,
"routeDistinguisher": "string",
"routeTargets": [
{
"addressFamily": "string",
"exportRouteTargets": [
"string"
],
"importRouteTargets": [
"string"
]
}
],
"dedicatedOrgRef": {
"name": "string",
"id": "string"
},
"ipSpaceRefs": [
{
"name": "string",
"id": "string"
}
],
"backingId": "string"
}
]
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/distributedVxlanConnections?page=value&pageSize=v
Availability
Added in 9.1.1
Distributed Vxlan Connections Operations
GET
Get Distributed Vxlan Connections
POST
Create Distributed Vxlan Connection
GET
Get Distributed Vxlan Connection
PUT
Update Distributed Vxlan Connection
DELETE
Delete Distributed Vxlan Connection